Format a CWT credential as a Google Pass
Roles
Analytics Events
/v2/credentials/compact/digital-pass/googleReturns a Google Pass representation of a provided CWT credential based on an existing Google Pass template.
Analytic events
- CREDENTIAL_COMPACT_GOOGLE_PASS_CREATE_START
- CREDENTIAL_COMPACT_GOOGLE_PASS_CREATE_SUCCESS
- CREDENTIAL_COMPACT_GOOGLE_PASS_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
objectResponse Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact/digital-pass/google" \ -H "Content-Type: application/json" \ -d '{ "templateId": "3812166c-ac9f-4e4e-96dd-c1336b5be378", "payload": "{payload}" }'{
"redirectTo": "https://pay.google.com/gp/v/save/{jwt}"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Format a CWT credential as an Apple Pass POST
Returns an Apple Pass representation of a provided CWT credential based on an existing Apple Pass template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout> ### **Analytic events** * CREDENTIAL_COMPACT_APPLE_PASS_CREATE_START * CREDENTIAL_COMPACT_APPLE_PASS_CREATE_SUCCESS * CREDENTIAL_COMPACT_APPLE_PASS_CREATE_FAIL
Create a PDF template POST
Creates a CWT credential PDF template based on a provided `.zip` file. Refer to our [PDF template design guide](https://learn.mattr.global/docs/issuance/cwt-credential-templates/pdf-templates) for more information on how to design a template and structure the `.zip` file. ### **Analytic events** * CREDENTIAL_COMPACT_PDF_TEMPLATE_CREATE_START * CREDENTIAL_COMPACT_PDF_TEMPLATE_CREATE_SUCCESS * CREDENTIAL_COMPACT_PDF_TEMPLATE_CREATE_FAIL